当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 软件包版本冲突,该如何解决??
帖子发表于 : 2009-10-13 11:16 

注册: 2009-10-13 11:04
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
wff@wff-desktop:~$ sudo apt-get install alien
[sudo] password for wff:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
alien: 依赖: rpm (>= 2.4.4-2) 但是它将不会被安装
libgstfarsight0.10-0: 依赖: gstreamer0.10-plugins-good (>= 0.10.15-2ubuntu1~pidgin3) 但是 0.10.14-1ubuntu0.1 正要被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
wff@wff-desktop:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在更正依赖关系... 完成
下列软件包是自动安装的并且现在不再被使用了:
linux-headers-2.6.28-11 linux-headers-2.6.28-11-generic
使用'apt-get autoremove'来删除它们
将会安装下列额外的软件包:
gstreamer0.10-plugins-good
下列的软件包将被升级:
gstreamer0.10-plugins-good
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 0B/1345kB 的软件包。
解压缩后会消耗掉 786kB 的额外空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 127652 个文件和目录。)
正预备替换 gstreamer0.10-plugins-good 0.10.14-1ubuntu0.1 (使用 .../gstreamer0.10-plugins-good_0.10.15-2ubuntu1~pidgin4.9.04_i386.deb) ...
正在解压缩将用于更替的包文件 gstreamer0.10-plugins-good ...
dpkg:处理 /var/cache/apt/archives/gstreamer0.10-plugins-good_0.10.15-2ubuntu1~pidgin4.9.04_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/gstreamer-0.10/libgstliveadder.so”,它属于软件包 gstreamer0.10-plugins-farsight
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/gstreamer0.10-plugins-good_0.10.15-2ubuntu1~pidgin4.9.04_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 软件包版本冲突,该如何解决??
帖子发表于 : 2009-10-13 11:21 
头像

注册: 2007-06-13 15:57
帖子: 12564
地址: 在他乡
送出感谢: 50
接收感谢: 87
试试用aptitude
或者把gstreamer0.10-plugins-farsight先卸载了再试试


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 软件包版本冲突,该如何解决??
帖子发表于 : 2009-10-13 13:43 

注册: 2009-10-13 11:04
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
卸载了gstreamer0.10-plugins-farsight,再重新安装成功 :em11
卸载命令如下:dpkg -r gstreamer0.10-plugins-farsight,该命令要在root下才能操作


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译